import type { _NEDNSSettings } from "./NEDNSSettings.js";
import type { _NSData } from "../Foundation/NSData.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _NEDNSOverTLSSettings extends _NEDNSSettings {
    static alloc(): _NEDNSOverTLSSettings;
    static new(): _NEDNSOverTLSSettings;
    init(): _NEDNSOverTLSSettings;
    /** The name of the server to use for TLS certificate validation. */
    serverName(): _NSString;
    setServerName$(value: _NSString): void;
    /**
     * The optional certificate identity keychain reference to use as a TLS client certificate.
     */
    identityReference(): _NSData;
    setIdentityReference$(value: _NSData): void;
}
